The page was loaded over HTTPS, but requested an insecure font

If you're receiving this error, chances are there's a deprecated global font being loaded manually.
Here's how it can be removed:

Step 1 - View the Global CSS editor:

Step 2 - Toward the bottom-left, click "Edit Deprecated Global Styles":

Step 3 - Toward the bottom-right, click "Empty Global Styles":